Package org.apache.solr.client.solrj.util

## Interface AsyncListener<T>

    public interface AsyncListener<T>

Listener for async requests

### Method Summary

All Methods Instance Methods Abstract Methods Default Methods
`void` `onFailure​(Throwable throwable)`
`default void` `onStart()` Callback method invoked before processing the request
`void` `onSuccess​(T t)`

### Method Detail

#### onStart

    default void onStart()

Callback method invoked before processing the request

#### onSuccess

    void onSuccess​(T t)

#### onFailure

    void onFailure​(Throwable throwable)